aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-12 11:30:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-13 08:43:45 +0000
commita5f63c8b0ff01e46410466c1229bd3cc1dc3b876 (patch)
treecc7fcbc5ec0c95d65fa16530d4b3a4a2f9f36281 /x11
parent5ca5095ab7d025e39f7bced9490c19225dd4737e (diff)
downloadaports-a5f63c8b0ff01e46410466c1229bd3cc1dc3b876.tar.gz
aports-a5f63c8b0ff01e46410466c1229bd3cc1dc3b876.tar.bz2
aports-a5f63c8b0ff01e46410466c1229bd3cc1dc3b876.tar.xz
x11/xev: new aport
print contents of X events
Diffstat (limited to 'x11')
-rw-r--r--x11/xev/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/xev/APKBUILD b/x11/xev/APKBUILD
new file mode 100644
index 0000000000..c30c899aae
--- /dev/null
+++ b/x11/xev/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xev
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="print contents of X events"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+makedepends="pkgconfig libx11-dev"
+depends=
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="a9532c3d1683c99bb5df1895cb3a60b1 xev-1.0.3.tar.bz2"